Overview of Administrator Features

Host Administrator MMC Snap In

The Host Administrator is a Microsoft Management Console (MMC) Snap-in that allows an administrator to remotely control and configure multiple pcAnywhere hosts on a network. One of the more powerful features of the host administrator is the ability to group systems together to allow convenient management and distribution of pcAnywhere connection items.

Using the host administrator, a network administrator can:

  • Create configuration groups that allow the administrator to distribute a single pcAnywhere host configuration to multiple workstations on the network.

  • Remotely start, stop, and connect to pcAnywhere hosts anywhere on the network.

  • Retrieve a pcAnywhere log report from any remote PC on the network.


Add the Host Administrator Snap-In

To add the Host Administrator Snap-In

  1. Start the Microsoft Management Console (MMC).

  2. Choose Add/Remove Snap-In from the Console menu.

  3. Click Add on the Standalone tab.

  4. Select pcAnywhere Administrator from the Add Snap-In dialog box.

  5. Click Add.

After the Host Administrator is added to the MMC console, the administrator can access all Host Administrator features.


Run the Host Administrator Snap-In

To run the Host Administrator Snap-In

Choose pcAnywhere Administrator from the Windows Start menu.


Create a new Configuration Group

To create a new Configuration Group

  1. Right-click Configuration Groups in the MMC left window pane.

  2. Choose New > Configuration Group from the menu.

  3. Type a name for this group and click OK.

To add a PC to the configuration group

  1. Expand the Configuration group in the MMC left window pane.

  2. Right-click System and select New from the menu.

  3. Enter the name of the system you are adding.

OR

Click any PC listed in the Microsoft Windows Network and drag it to the System section.


Access PCs on the network with host administrator

To access PCs on the network with the Host Administrator

  1. Expand the pcAnywhere Administrator item in the MMC left window pane, continuing the expansion to the Systems item.

  2. Expand the Microsoft Windows Network item in the MMC left window pane.

  3. Select a domain.

Note: pcAnywhere Host Administrator does not support Workgroups.

  4. Do one of the following:

Click the explorer icon [image] on the MMC taskbar.

Right-click the domain and choose Explore Machines from drop-down menu.

  5. Click the explorer icon to expand the domain item and view the PCs configured in the selected domain.

Note: The first time you run the host administrator and expand the tree, two items appear in the tree's view: Configuration groups and Microsoft Windows Network. The Microsoft Windows Network is similar to Microsoft's Network Neighborhood. When you expand this item, a list of domains or workgroups accessible from your location appears.


Create host files

To create host files

  1. Right-click Connection Items in the MMC left window pane.

  2. Choose New > Be A Host or Call a Host from the menu.

  3. Type a name for this connection item and click OK.


Distribute host files

To distribute host files

  1. Right-click on a Configuration Group in the MMC left window pane.

  2. Choose Distribute pcAnywhere Files

  3. Select the PC you want to distribute the file to from the dialog box.

  4. Select the file to distribute and Click OK.

After the connection items have been distributed, you can start, stop, and connect to any managed host by right-clicking on any system in the Configuration Group list or the Microsoft Windows Network list.

The pcAnywhere standard installation installs an ADMIN.BHF file in the CMS subfolder in the pcAnywhere program directory. This file can be configured prior to installing to allow you to customize the settings to satisfy your organization's requirement.

Selecting Start Administrator Host from the Host Administrator Snap-In, runs the ADMIN.BHF host file.

Selecting Connect from the Host Administrator Snap-In, runs a corresponding ADMIN11.CHF file that connects to the selected host.


Manage a host PC

To manage a host PC on the network

  1. Right-click the host in the Configuration Group

  2. Choose any of the following actions from the All Tasks menu:

Start Specific Host - runs a host selected from a list of centrally managed hosts, or any host configured on the destination PC..

Start Admin Host - runs the configuration in the Administrator Host file (ADMIN.BHF).

Start Last Host - runs the host configuration file that was most recently used.

Stop Host - cancels a host and disconnects any active sessions on the host.

Connect to Admin Host -connects to the administrator host PC.

Configure Admin Host - allow the administrator to reconfigure the settings on the admin host PC.

Get Activity Log - retrieves the remote and host session log to the host administrator console.


Modify DCOM setting

Windows DCOM configuration requirements

pcAnywhere configures DCOM during the installation process. All default settings should be sufficient to allow pcAnywhere management applications to function normally and maintain a sufficient level of security. However, modifications can be made to DCOM to modify the default security and allow an administrator to explicitly allow or deny DCOM access to a system.

To configure Windows NT for DCOM:

To remotely configure and control pcAnywhere on Windows NT from a network management system, the network administrator must comply to the following requirements:

· The network administrator must be logged in as a domain administrator.

· Both the administrator PC and the client PC must be in the same domain.

· The Windows NT default DCOM configuration requires all manager activity be authenticated on the NT domain.

To configure Windows 9x for DCOM:

To remotely configure and control pcAnywhere on Windows 9x from a network management system, the network administrator must comply to the following requirements:

· The Windows 9x PC must log into the same Windows NT domain as the network administrator.

· The Domain name and the workgroup name on the Windows 9x PC must be the same.

· The Windows 9x PC must be configured to user level access. This is a requirement for DCOMCNFG.EXE to allow adjusting the DCOM security settings for a Windows 9x computer.

· File and print sharing for Microsoft Windows Networks should be installed and enabled on the Windows 9x PC.

If you selected Allow pcAnyhwere to be remotely managed during the pcAnywhere installation, the DCOM settings were automatically modified to the required defaults. It is only necessary to configure your network as noted above.

The above configuration procedures should resolve any connectivity problems encountered while using the pcAnyhwere Host Administrator, or any of pcAnywere's Network Management integration components.

The most common error experienced is an Access Denied error. This is usually due to incorrect DCOM settings. Use the DCOMCNFG.EXE utility to modify the security settings for the client to resolve this error. Edit the default security and add only the Domain users or administrators to the list of callers allowed to access this host. You can also use the DCOM utility to deny access to selected callers.

Note: If you correctly configure the Windows environment as noted in the procedures above, this error should not occur.

Please consult DCOMCNFG.exe online documentation for more information on modifying configurations.